> ## Documentation Index
> Fetch the complete documentation index at: https://docs.arc.cdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Copies connector settings from an existing connector to a new connector.

> Copies connector settings from an existing connector to a new connector.



## OpenAPI

````yaml 26.3/cloud/en/api-reference/openapi.json POST /copyConnector
openapi: 3.0.1
info:
  title: RSSBus OpenAPI
  version: 26.3.9712.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://arc.example.com/api.rsc
        description: >-
          Base URL of your Arc instance, including scheme and application path
          (e.g. https://arc.example.com/api.rsc).
security: []
paths:
  /copyConnector:
    post:
      tags:
        - copyConnector
      summary: Copies connector settings from an existing connector to a new connector.
      description: Copies connector settings from an existing connector to a new connector.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/copyConnector_input'
        required: true
      responses:
        '200':
          description: The action result
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/copyConnector_output'
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CDataError'
      security:
        - authtoken_header: []
        - basic: []
        - authtoken_query: []
components:
  schemas:
    copyConnector_input:
      type: object
      required:
        - WorkspaceId
        - ConnectorId
        - NewConnectorId
      properties:
        WorkspaceId:
          type: string
          description: The Id of the workspace where the existing connector resides.
        ConnectorId:
          type: string
          description: The Id of the connector to copy.
        NewWorkspaceId:
          type: string
          description: >-
            The Id of the workspace where the new connector should be placed. If
            not specified, it is placed in the original connector's workspace.
        NewConnectorId:
          type: string
          description: The Id of the new connector.
    copyConnector_output:
      type: array
      items:
        type: object
        properties:
          AllowedPrivileges:
            type: string
            description: >-
              The access permissions that users or roles have on the new
              connector. The privileges control who can view, modify, or manage
              the connector within the workspace. Available values are
              'UpdateSettings, Delete, Create, UploadFiles, SendFiles,
              ReceiveFiles, DeleteFiles, DeleteTransactions, Requeue'.
    CDataError:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CDataInError'
    CDataInError:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    authtoken_header:
      type: apiKey
      in: header
      name: x-cdata-authtoken
    basic:
      scheme: basic
      type: http
    authtoken_query:
      type: apiKey
      in: query
      name: '@authtoken'

````